For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
      • GETRetrieve a user
      • POSTCreate a test participant for a researcher
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceUsers

Retrieve a user

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/users/me/
GET
/api/v1/users/me/
$curl https://api.prolific.com/api/v1/users/me/ \
> -H "Authorization: Token <token>"
1{
2 "id": "60a42f4c693c29420793cb73",
3 "email": "your@email.com"
4}

Use this endpoint to test your token and retrieve the basic information of your account.

Add an Authorization header with the value Token <your token>.

Was this page helpful?
Previous

Users

Next

Create a test participant for a researcher

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Response

Successful Response
idstring
emailstring

Errors

4XX
Client Request Error